No icon for "View source" and "Edit" in sidebar
Closed, ResolvedPublic

Description

See attached screenshot. There is no icon next the the "View source". I don't know whether this is intentional or not but it currently looks very weird when there is no icon for "View source" but present for the other links.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
OpenNone
ResolvedNone
OpenNone
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolved Spage
OpenNone
OpenNone
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
OpenNone
OpenNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedVolker_E
Glaisher created this task.Jun 29 2015, 5:02 PM
Glaisher updated the task description. (Show Details)
Glaisher raised the priority of this task from to Needs Triage.
Glaisher added a project: Blueprint.
Glaisher added a subscriber: Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2015, 5:02 PM
Prtksxna triaged this task as Normal priority.Jul 3 2015, 4:36 AM
Volker_E set Security to None.
Volker_E claimed this task.
Volker_E added a subscriber: violetto.
Volker_E added a subscriber: Prtksxna.

@violetto Are the icons already somewhere? There's also the 'Edit' link missing an icon, see https://livingstyleguide.wmflabs.org/wiki/Checks,_radios_and_toggles

View source is put in place where "Edit" or "Edit source" is disabled. View source lets you view the source, just like you would when you click on edit, but without the ability to edit.

What do you think about using this icon:

@Volker_E, icons are already within the oojs library.

We don't yet have a finished "Edit" (with VE) icon.

Volker_E moved this task from Backlog to Next Up on the Blueprint board.Aug 30 2015, 3:25 AM
Volker_E added a comment.EditedSep 14 2015, 1:03 AM

@violetto I think that's a very nice icon on a big size, for 24x24 px size I'm wondering about the significance/clarity of both symbols (edit pencil and lock icon) together.

+1, It's nice for me

Change 252973 had a related patch set uploaded (by VolkerE):
Add icon for 'View Source' menu item

https://gerrit.wikimedia.org/r/252973

Volker_E renamed this task from No icon for "View source" in sidebar to No icon for "View source" and "Edit" in sidebar.Nov 16 2015, 7:02 PM

@violetto what is the "Edit" vs "Edit source" icon?

Volker_E updated the task description. (Show Details)Nov 16 2015, 11:29 PM

@violetto what is the "Edit" vs "Edit source" icon?

I don't think View and View source map to Edit and Edit source. One can argue that they somewhat do, but…

In my understanding:

@Prtksxna I was a bit sloppy in my words. "Bearbeiten" translates to "Edit" and it misses an icon currently. So my short sentence meant @violetto what's the Edit icon versus the Edit source icon? Latter has an edit icon specified currently as seen in screenshot above with German settings.

It seems promising, that we will see just one "Edit" link in near future, looking at progress over at T58337: Change VE integration to only use one edit tab, to avoid user choice paralysis.

It seems promising, that we will see just one "Edit" link in near future, looking at progress over at T58337: Change VE integration to only use one edit tab, to avoid user choice paralysis. We'll have to revisit this task (or opening a follow-up) then.

Change 252973 merged by jenkins-bot:
Add icon for 'View Source' menu item

https://gerrit.wikimedia.org/r/252973

Volker_E closed this task as Resolved.
Volker_E removed a project: Patch-For-Review.